%global momorel 1
%global qtver 3.3.7
%global kdever 3.5.8
%global kdelibsrel 1m
%global kdebaserel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global ftpdirver %{kdever}
%global sourcedir stable/%{ftpdirver}/src
%global enable_final 1
%global enable_gcc_check_and_hidden_visibility 0
%global md5sum_src0 0ede2d48df626aa436dbe6c741d575f1

Name: kdeaccessibility
Summary: K Desktop Environment - Accessibility
Version: %{kdever}
Release: %{momorel}m%{?dist}
Group: User Interface/Desktops
License: GPL
URL: http://accessibility.kde.org/
%NoSource 0 ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2 %{md5sum_src0}

# gcc4
Patch10:kdeaccessibility-3.4.1-gcc4.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdebase >= %{kdever}-%{kdebaserel}
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: kdebase >= %{kdever}-%{kdebaserel}
BuildPreReq: autoconf >= 2.56-3m 
BuildPreReq: desktop-file-utils
BuildPreReq: libakode-devel >= 2.0.1-2m
BuildPreReq: libjpeg-devel >= 6b-30m
BuildPreReq: libpng-devel >= 1.2.0
BuildPreReq: perl

%description
Included with this package are:
  kmag - a screen magnifier,
  kmousetool - a program for people whom it hurts to click the mouse,
  KMouth - a program that allows people who have lost their voice
           to let their computer speak for them.

%prep
%setup -q

%patch10 -p1 -b .gcc4

make -f admin/Makefile.common cvs

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

%ifnarch alpha
CFLAGS="-D_GNU_SOURCE %{optflags} -DNDEBUG -DNO_DEBUG" \
CXXFLAGS="-D_GNU_SOURCE %{optflags} -DNDEBUG -DNO_DEBUG -fno-check-new"
%else
CFLAGS="-D_GNU_SOURCE -O3" CXXFLAGS="-D_GNU_SOURCE -O0 -fno-check-new"
%endif

export FLAGS="%{optflags} -DNO_DEBUG -DNDEBUG -fno-use-cxa-atexit"
export CFLAGS="$FLAGS"
export CXXFLAGS="$FLAGS -fno-check-new"

./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--sysconfdir=%{_sysconfdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--with-xinerama \
	--with-akode \
	--disable-debug \
%if %{enable_final}
	--enable-final \
%endif
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-kttsd-epos \
	--disable-kttsd-freetts \
	--disable-kttsd-hadifix \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

make install DESTDIR=%{buildroot}

# move desktop files
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  %{buildroot}%{_datadir}/applnk/Applications/*.desktop

# Make symlinks relative
pushd %{buildroot}%{_docdir}/HTML/en
for i in *; do
   if [ -d $i -a -L $i/common ]; then
      rm -f %{buildroot}%{_docdir}/HTML/en/$i/common
      ln -sf ../common %{buildroot}%{_docdir}/HTML/en/$i
   fi
done
popd

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING INSTALL
%{_bindir}/kmag
%{_bindir}/kmousetool
%{_bindir}/kmouth
%{_bindir}/ksayit
%{_bindir}/kttsd
%{_bindir}/kttsmgr
%{_includedir}/*.h
%{_libdir}/kde3/*.la
%{_libdir}/kde3/*.so
%{_libdir}/*.la
%{_libdir}/*.so*
%{_datadir}/applications/kde/*.desktop
%{_datadir}/apps/kbstateapplet
%{_datadir}/apps/kicker/applets/kbstateapplet.desktop
%{_datadir}/apps/kmag
%{_datadir}/apps/kmousetool
%{_datadir}/apps/kmouth
%{_datadir}/apps/ksayit
%{_datadir}/apps/ktexteditor_kttsd
%{_datadir}/apps/kttsd/
%{_datadir}/config/kmouthrc
%{_datadir}/doc/HTML/en/kmag
%{_datadir}/doc/HTML/en/kmousetool
%{_datadir}/doc/HTML/en/kmouth
%{_datadir}/doc/HTML/en/kttsd
%{_datadir}/icons/*/*/*/*.png
%{_datadir}/icons/*/*/*/*.svgz
%{_datadir}/icons/mono/index.theme
%{_datadir}/services/*.desktop
%{_datadir}/servicetypes/*.desktop

%changelog
* Wed Oct 17 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.8-1m)
- update to KDE 3.5.8

* Sat May 26 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.7-1m)
- update to KDE 3.5.7

* Mon Feb 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.5.6-3m)
- rebuild against kdelibs etc.

* Sun Feb  4 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.6-2m)
- rebuild against flite
- add --disable-kttsd-epos, --disable-kttsd-freetts, --disable-kttsd-hadifix as configure option

* Sat Feb  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.6-1m)
- update to KDE 3.5.6

* Fri Feb  2 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.5-2m)
- rebuild without gstreamer-0.8.12

* Fri Oct 27 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.5-1m)
- update to KDE 3.5.5

* Sat Sep  9 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.5.4-2m)
- rebuild against kdelibs-3.5.4-3m kdebase-3.5.4-11m

* Wed Aug  2 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.4-1m)
- update to KDE 3.5.4

* Wed May 31 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.3-1m)
- update to KDE 3.5.3

* Sat Apr 15 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.2-2m)
- build with libakode (enable the aKode decoder)

* Wed Mar 29 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.2-1m)
- update to KDE 3.5.2

* Wed Feb  1 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.1-1m)
- update to KDE 3.5.1

* Sat Jan 28 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.0-2m)
- add --enable-new-ldflags to configure
- disable_gcc_check_and_hidden_visibility 1

* Wed Nov 30 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.0-1m)
- update to KDE 3.5

* Mon Nov 28 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.0-0.1.3m)
- move desktop files from %%{_datadir}/applnk to %%{_datadir}/applications/kde
- BuildPreReq: desktop-file-utils
- disable hidden visibility

* Sun Nov 13 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.0-0.1.2m)
- fix configure option --with-gstreamer

* Sat Nov 12 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.0-0.1.1m)
- update to KDE 3.5 RC1

* Thu Oct 13 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.3-1m)
- update to KDE 3.4.3

* Wed Sep 14 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.2-2m)
- add --disable-rpath to configure

* Thu Jul 28 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.2-1m)
- update to KDE 3.4.2
- remove nokdelibsuff.patch
- add %%doc

* Thu Jun 30 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (3.4.1-2m)
- fixed build error gcc4. import FC patch.
-   admin-visibility.patch
-   kdeaccessibility-3.4.1-gcc4.patch

* Wed Jun  1 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.1-1m)
- update to KDE 3.4.1

* Fri Apr 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.0-3m)
- modify %%files section
- add --enable-kttsd-gstreamer to configure
- BuildPreReq: gstreamer-devel >= 0.8.7
- Requires: gst-plugins-additional

* Tue Mar 29 2005 Toru Hoshina <t@momonga-linux.org>
- (3.4.0-2m)
- kdelibsuff doesn't need to be applied with {_libdir}/qt3/lib.

* Mon Mar 28 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.0-1m)
- update to KDE 3.4.0
- BuildPreReq: kdebase

* Wed Feb  2 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (3.3.2-2m)
- enable x86_64.

* Mon Dec 13 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.3.2-1m)
- update to KDE 3.3.2
 
* Mon Oct 18 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.3.1-1m)
- update to KDE 3.3.1
 
* Mon Sep 27 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (3.3.0-2m)
- rebuild against kdelibs-3.3.0-3m (libstdc++-3.4.1)

* Fri Sep 24 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.3.0-1m)
- KDE 3.3.0

* Thu Jun 17 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-1m)
- KDE 3.2.3
- Bugfix Release
 
* Sat Apr 24 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-1m)
- KDE 3.2.3

* Sat Mar 13 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.1-1m)
- KDE 3.2.1 Release

* Sat Feb 14 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.0-1m)
- KDE 3.2.0

